Solid Edge FrameworkSupport Type Library
Closed Property
Description
Returns True if the start and end points of the referenced object are coincident.
Property type
Read-only property
Syntax
Visual Basic
Public Property Closed As Boolean
Example
Private Sub Form_Load()
    Dim objApp As solidedgeframework.Application
    Dim objDoc As SolidEdgeDraft.DraftDocument
    Dim objSheet As SolidEdgeDraft.Sheet
    Dim objCurves As SolidEdgeFrameworkSupport.Curves2d
    Dim objCurve As SolidEdgeFrameworkSupport.Curve2d
    Dim dblpoint(1 To 8) As Double
    Dim boolCurveClosed As Boolean
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.DraftDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    'getting the Active Sheet object
    Set objSheet = objDoc.ActiveSheet

    'Create Curves2d collection
    Set objCurves = objSheet.Curves2d
    'Define points
    dblpoint(1) = 0.15
    dblpoint(2) = 0.15
    dblpoint(3) = 0.25
    dblpoint(4) = 0.15
    dblpoint(5) = 0.25
    dblpoint(6) = 0.25
    dblpoint(7) = 0.15
    dblpoint(8) = 0.25
    'Create a curve on the defined points
    Set objCurve = objCurves.AddByPoints(Pointcount:=4, Points:=dblpoint, FitType:=igLinestringFit, Closed:=True)

    'get Closed value
    boolCurveClosed = objCurve.Closed

    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objSheet = Nothing
    Set objCurves = Nothing
    Set objCurve = Nothing
End Sub
See Also

Curve2d Object  | Curve2d Members